%define name compiz-fusion-plugins-extra
%define version 0.5.2
%define rel 4
%define git 0

%if  %{git}
%define srcname plugins-extra-%{git}
%define distname plugins-extra
%define release %mkrel 0.%{git}.%{rel}
%else
%define srcname %{name}-%{version}
%define distname %{name}-%{version}
%define release %mkrel %{rel}
%endif


Summary: Compiz Fusion Main Plugin Set for compiz
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{srcname}.tar.bz2
Patch0:  widget-screenlets-match.patch
Patch1:  cubereflex-blue.patch
License: GPL
Group: System/X11
URL: http://www.compiz-fusion.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: dbus-devel
BuildRequires: compiz-devel
BuildRequires: gettext-devel
BuildRequires: intltool
BuildRequires: compiz-fusion-plugins-main-devel
BuildRequires: compiz-bcop
BuildRequires: libGConf2-devel
BuildRequires: MesaGLU-devel
BuildRequires: jpeg-devel
BuildRequires: pango-devel
Requires: compiz

%description
This is the main plugin set from the Compiz Fusion community.

This is a combination of the Compiz Extras and Beryl communities

#----------------------------------------------------------------------------

%prep
%setup -q -n %{distname}
%patch0 -p0 -b .screenlets
%patch1 -p0 -b .blue

%build
%if %{git}
  # This is a CVS snapshot, so we need to generate makefiles.
  sh autogen.sh -V
%endif
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std
find %{buildroot} -name *.la -exec rm -f {} \;
%find_lang %{name}

%clean
rm -rf %{buildroot}

#----------------------------------------------------------------------------

%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/compiz/lib*.a
%{_libdir}/compiz/lib*.so
%{_datadir}/compiz/*.xml
%{_datadir}/compiz/reflection.png


%changelog
* Mon Sep 17 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-4mdv2008.0
+ Revision: 88950
- Make reflections colours fit in better with default Mandriva theme.

* Sun Sep 16 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-3mdv2008.0
+ Revision: 88521
- Add window match for widget plugin for Screenlets

* Tue Sep 04 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-2mdv2008.0
+ Revision: 79533
- Rebuild for latest compiz (patch removal caused ABI change)

* Mon Aug 13 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-1mdv2008.0
+ Revision: 62615
- Official Release: 0.5.2

* Sun Aug 12 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.1-0.20070811.1mdv2008.0
+ Revision: 62122
- Update snapshot

* Wed Aug 01 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.1-0.20070801.1mdv2008.0
+ Revision: 57839
- Updated snapshot

* Wed Jul 25 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.1-0.20070724.1mdv2008.0
+ Revision: 55253
- Update Snapshot

* Sat Jul 14 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.1-0.20070714.2mdv2008.0
+ Revision: 52142
- Update snapshot

* Sun Jul 08 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.1-0.20070707.1mdv2008.0
+ Revision: 49610
- Require compiz
- Update Snapshot to 20070707
- Import compiz-fusion-extra

